#ifndef CONFIG_H
#define CONFIG_H

#include "aitest.h"

class Config:public QWidget
{
	Q_OBJECT

	public:
		Config(QWidget *parent = 0);
		~Config();
	private:
		QSpinBox *spSpeedSamples;
		QSpinBox *spAngle;
	private slots:
		void speedSamplesChanged(int value);
		void applyAngle();

		void rMinSmallChanged(int value);
		void rMaxSmallChanged(int value);
		void rMinMediumChanged(int value);
		void rMaxMediumChanged(int value);
		void rMinBigChanged(int value);
		void rMaxBigChanged(int value);

		void cCheckChanged(int state);

		//mre
		void avVal(int value);
		void evVal(int value);
		void arVal(int value);
		void erVal(int value);
		void anOff(int value);
		void enOff(int value);

};



#endif